stages:
  - source distribution
  - source packages
  - binary packages
  - test
  - code quality
  - upload

include:
  # Generate tarball
  - local: '/.gitlab/ci/dist.yml'
  # Conda
  - local: '/.gitlab/ci/conda.yml'
  # CMT/Pm
  - local: '/.gitlab/ci/virgo.yml'
  # Debian
  - local: '/.gitlab/ci/debian.yml'
  # RHEL
  - local: '/.gitlab/ci/rhel.yml'
  # Upload tarball
  - local: '/.gitlab/ci/upload.yml'
